Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin
Class FileStoreInfo

    java.lang.Object
      com.tibco.tibjms.admin.StoreInfo
          com.tibco.tibjms.admin.FileStoreInfo

    public class FileStoreInfo

extends StoreInfo

Class representing information about a server's file-based store.

Constructor Summary
`FileStoreInfo(MapMessage msg)`
`FileStoreInfo(MapMessage msg, int type)`

Method Summary
`long` | `getFileMinimum()` Get the minimum size of the file (the file will pre-allocated at least to that size, if necessary).
`java.lang.String` | `getFileName()` Get the file name.
`long` | `getInUseSpace()` Get the amount of space in the store file that is in use.
`long` | `getNotInUseSpace()` Get the amount of space in the store file that is not in use.
`long` | `getSize()` Get the total size of the store file.
`boolean` | `isCRCEnabled()` Indicates whether or not CRC checks are performed for stored data.
`boolean` | `isSynchronousWriteEnabled()` Indicates whether or not the file is opened in synchronous write mode.
`boolean` | `isTruncationEnabled()` Indicates whether or not the server will periodically check if there is unused space at the end of the file and, if so, truncate the file.
`java.lang.String` | `toString()`

Methods inherited from class com.tibco.tibjms.admin.StoreInfo
`getFileSize, getFreeSpace, getMsgBytes, getMsgCount, getSwappedBytes, getSwappedCount, getUsedSpace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileStoreInfo

    public FileStoreInfo(MapMessage msg)
                  throws JMSException

Throws:
  `JMSException`

### FileStoreInfo

    public FileStoreInfo(MapMessage msg,
                         int type)
                  throws JMSException

Throws:
  `JMSException`

Method Detail

### getNotInUseSpace

    public long getNotInUseSpace()

  Get the amount of space in the store file that is not in use.

  Returns:
    the number of bytes that are free

### getInUseSpace

    public long getInUseSpace()

  Get the amount of space in the store file that is in use.

  Returns:
    the number of bytes that are in use

### getSize

    public long getSize()

  Get the total size of the store file.

  Returns:
    the size in bytes

### getFileName

    public java.lang.String getFileName()

  Get the file name.

  Returns:
    file name

### getFileMinimum

    public long getFileMinimum()

  Get the minimum size of the file (the file will pre-allocated at least to that size, if necessary).

  Returns:
    the size in bytes

### isCRCEnabled

    public boolean isCRCEnabled()

  Indicates whether or not CRC checks are performed for stored data.

  Returns:
    true if CRC is enabled, false otherwise

### isTruncationEnabled

    public boolean isTruncationEnabled()

  Indicates whether or not the server will periodically check if there is unused space at the end of the file and, if so, truncate the file.

  Returns:
    true if truncation is enabled, false otherwise

### isSynchronousWriteEnabled

    public boolean isSynchronousWriteEnabled()

  Indicates whether or not the file is opened in synchronous write mode.

  Returns:
    true if synchronous mode is enabled, false otherwise

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved